Автор Тема: pgadmin  (Прочитано 3918 раз)

Оффлайн tema

  • Мастер
  • ***
  • Сообщений: 2 065
    • Email
pgadmin
« : 11.10.2019 18:16:49 »
После конференции сел плотно изучать PostgreSQL.
Сразу повесил багу, т.к. на офсайте прямо написано, что третья версия pgadmin не поддерживается.
https://bugzilla.altlinux.org/show_bug.cgi?id=37327
Попробую использовать эту СУБД для runawfe

Оффлайн tema

  • Мастер
  • ***
  • Сообщений: 2 065
    • Email
Re: pgadmin
« Ответ #1 : 12.10.2019 22:36:27 »
# apt-get install pgadmin4-4.12-1.1.x86_64.rpm
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано pgadmin4 для 'pgadmin4-4.12-1.1.x86_64.rpm'
Некоторые пакеты установить невозможно. Это может означать, что Вы
потребовали невозможного, либо пользуетесь нестабильным репозиторием.
Часть необходимых пакетов либо ещё не создана, либо была удалена
из каталога 'Входящие'.

Так как для выполнения Вашего запроса достаточно одной операции, то
скорее всего этот пакет просто невозможно установить. Сообщите, пожалуйста,
об этом как о найденной ошибке в пакете.
Эти сведения могут помочь найти выход из ситуации:

Следующие пакеты имеют неудовлетворенные зависимости:
  pgadmin4: Требует: libQt5Core.so.5(Qt_5.13)(64bit) но пакет не может быть установлен
            Требует: pgadmin4-web (= 4.12) но пакет не может быть установлен
E: Извините, `битые' пакеты

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 639
    • Домашняя страница
    • Email
Re: pgadmin
« Ответ #2 : 12.10.2019 23:49:14 »
А зачем Вы героически тянете левые пакеты и удивляетесь, что они не ставятся?
Андрей Черепанов (cas@)

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 639
    • Домашняя страница
    • Email
Re: pgadmin
« Ответ #3 : 12.10.2019 23:52:03 »
Лень людям использовать psql, tora, dbeaver и LibreOffice Base. Зациклились на одном-единственном.
Андрей Черепанов (cas@)

Оффлайн smatsak

  • Linux, C++
  • Давно тут
  • **
  • Сообщений: 64
  • Cloud-based technology
Re: pgadmin
« Ответ #4 : 05.09.2021 00:39:46 »
Лень людям использовать psql, tora, dbeaver и LibreOffice Base. Зациклились на одном-единственном.
ответ в стиле, зачем вам поезд, есть же автомобиль.

Из предложенного вами списка единственный встроенный в Альт-Линукс пакет - это psql, как бы не он, то вообще не понятно, как с PostgeSQL работать (его составная часть), но он консольный, вы же не все тексты в "нотепаде" набираете, наверное "вордом" пользуетесь, :)
Тора - вроде как для Оракла, внешний пакет, ставить из исходников (?).
dbeaver - очень хороший пакет и люблю им пользоваться на х86 для IBM DB2, с PostgreSQl отлично работает, но - сторонний пакет и под тему импортозамещения не тянет, в госструктурах ему путь заказан.

LibreOffice Base - вишенка на торт, не поленился, поставил, может работать через ODBC, поставил ODBC - можно подключаться и смотреть содержимое табличек, очень скудный инвентарь.

А pgadmin4 - это штатное средство для PostgreSQL, как psql, только графический. Вот его, pgadmin4,  и хотелось бы видеть среди пакетов Альт Линукс.     
 
« Последнее редактирование: 05.09.2021 00:42:31 от smatsak »

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 639
    • Домашняя страница
    • Email
Re: pgadmin
« Ответ #5 : 05.09.2021 09:44:56 »
Ищите желающего собрать. Сборка пакетов – дело добровольное.
Андрей Черепанов (cas@)

Оффлайн smatsak

  • Linux, C++
  • Давно тут
  • **
  • Сообщений: 64
  • Cloud-based technology
Re: pgadmin
« Ответ #6 : 06.09.2021 00:25:10 »
Ищите желающего собрать. Сборка пакетов – дело добровольное.
я так понял, что мою тему с похожим вопросом вы удалили.

P.S. А есть список из которого желающих можно выбирать....
« Последнее редактирование: 06.09.2021 00:27:07 от smatsak »

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 639
    • Домашняя страница
    • Email
Re: pgadmin
« Ответ #7 : 06.09.2021 08:23:49 »
Нет, я ничего не удалял. Список добровольцев на опакечивание не ведётся, список мейнтейнеров – на https://packages.altlinux.org/ru/sisyphus/maintainers
Андрей Черепанов (cas@)

Оффлайн rabochyITs

  • Давно тут
  • **
  • Сообщений: 761
  • Евгений
Re: pgadmin
« Ответ #8 : 06.09.2021 12:09:36 »
Из предложенного вами списка единственный встроенный в Альт-Линукс пакет - это psql
Я иногда "костылю" код в Geany, нужно только сборку настроить, чтобы он текст psql скармливал. Я конечно не спец в постгресе, но пробовал pgadmin и мне не понравилось, чисто идеологически. Можно вообще разучиться в базе код писать, лучше текстом.

Оффлайн Nicom

  • Давно тут
  • **
  • Сообщений: 40
    • Email
Re: pgadmin
« Ответ #9 : 06.09.2021 23:01:45 »
Можно вообще разучиться в базе код писать, лучше текстом.
Никто и не говорит о коде. Речь о том, что в дистрибутиве нет инструмента для удобного обслуживания новых версий pgsql. Нет средств посмотреть load average посгресса в течении времени, а в pgadmin - пожалуйста. Работу по оптимизации запросов удобнее делать когда есть средства мониторинга.
Ну а пока нет такого инструмента в составе дистрибутива, приходится извращаться с отдельными виртуальными машинами на debian только для pgadmin4, потому что там этот инструмент есть.

Оффлайн rabochyITs

  • Давно тут
  • **
  • Сообщений: 761
  • Евгений
Re: pgadmin
« Ответ #10 : 07.09.2021 12:24:46 »
Работу по оптимизации запросов удобнее делать когда есть средства мониторинга
А если команду watch задействовать вместе с psql, возможно можно использовать гибкий мониторинг
$ watch -t 'psql -h 127.0.0.1 -U postgres -d basename -c '"'SELECT * FROM pg_stat_bgwriter'"';'

Оффлайн Nicom

  • Давно тут
  • **
  • Сообщений: 40
    • Email
Re: pgadmin
« Ответ #11 : 07.09.2021 20:09:22 »
А если команду watch задействовать вместе с psql, возможно можно использовать гибкий мониторинг
Да можно, конечно, и такие варианты использовать, и к ним ещё rrd-tool прикрутить, и ещё какое-нибудь сальто в воздухе выполнить, но как мне заставить упражняться в консоли простых программистов, некоторые даже не в линукс системах работают?
Так что ждём снисхождения сборщиков пакетов. А пока сидим с тем что есть и не отсвечиваем.